using System;
using System.Collections.Generic;
using System.Text;
using AutoTurnOver.Models;
using AutoTurnOver.DB;
using AutoTurnOver.Models.Common;

namespace AutoTurnOver.Services
{
    public class CommonServices
    {
        public List<dc_base_warehouse> ListWareHouse(string type,int? areaId)
        {
            return DB.common.ListWareHouse(type, areaId);
        }

        public List<mwarehousetype> ListWareHouseType()
        {
            return DB.common.ListWareHouseType();
        }

        public List<mwarehouseArea> ListWareHouseArea()
        {
            return DB.common.ListWareHouseArea();
        }

        public List<supplier_dto> SearchSupplier(string name)
        {
            return DB.common.SearchSupplier(name);
        }
        public List<supplier_dto> SearchSupplier2(string name)
        {
            return DB.common.SearchSupplier2(name);
        }

        public List<purchase_user_dto> SearchPurchaseUser(string name)
        {
            return DB.common.SearchPurchaseUser(name);
        } 
        public List<string> SearchBrand(string name)
        {
            return DB.common.SearchBrand(name);
        } 
        
        public List<string> BrandList()
        {
            return report.BrandList();
        }

        
    }
}
